      *-------------------------------------------------------------------------
      *
      * Copyright (c) 2007-2009 Mihael Schmidt
      * All rights reserved.
      *
      * This file is part of the VECTOR service program.
      *
      * VECTOR is free software: you can redistribute it and/or modify it under
      * the terms of the GNU Lesser General Public License as published by
      * the Free Software Foundation, either version 3 of the License, or
      * any later version.
      *
      * VECTOR is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      * GNU Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with VECTOR.  If not, see http://www.gnu.org/licenses/.
      *
      *-------------------------------------------------------------------------



      *-------------------------------------------------------------------------
      * Prototypen
      *-------------------------------------------------------------------------
     D vector_create   PR              *   extproc('vector_create')
     D   initSize                    10U 0 const options(*nopass)
     D   incSize                     10U 0 const options(*nopass)
      *
     D vector_dispose  PR                  extproc('vector_dispose')
     D   vector                        *
      *
     D vector_add      PR                  extproc('vector_add')
     D   vector                        *   const
     D   value                         *   const
     D   valueLength                 10U 0 const
     D   pos                         10U 0 const options(*nopass)
      *
     D vector_addFirst...
     D                 PR                  extproc('vector_addFirst')
     D   vector                        *   const
     D   value                         *   const
     D   valueLength                 10U 0 const
      *
     D vector_addLast...
     D                 PR                  extproc('vector_addLast')
     D   vector                        *   const
     D   value                         *   const
     D   valueLength                 10U 0 const
      *
     D vector_get      PR              *   extproc('vector_get')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getFirst...
     D                 PR              *   extproc('vector_getFirst')
     D   vector                        *   const
      *
     D vector_getLast...
     D                 PR              *   extproc('vector_getLast')
     D   vector                        *   const
      *
     D vector_isEmpty...
     D                 PR              N   extproc('vector_isEmpty')
     D   vector                        *   const
      *
     D vector_ensureCapacity...
     D                 PR                  extproc('ensureCapacity')
     D   vector                        *   const
     D   minCapacity                 10U 0 const
      *
     D vector_trimToSize...
     D                 PR                  extproc('vector_trimToSize')
     D   vector                        *   const
      *
     D vector_getSize...
     D                 PR            10U 0 extproc('vector_getSize')
     D   vector                        *   const
      *
     D vector_getCapacity...
     D                 PR            10U 0 extproc('vector_getCapacity')
     D   vector                        *   const
      *
     D vector_clear    PR                  extproc('vector_clear')
     D   vector                        *   const
      *
     D vector_remove...
     D                 PR                  extproc('vector_remove')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_removeFirst...
     D                 PR                  extproc('vector_removeFirst')
     D   vector                        *   const
      *
     D vector_removeLast...
     D                 PR                  extproc('vector_removeLast')
     D   vector                        *   const
      *
     D vector_removeRange...
     D                 PR                  extproc('vector_removeRange')
     D   vector                        *   const
     D   index                       10U 0 const
     D   count                       10U 0 const
      *
     D vector_contains...
     D                 PR              N   extproc('vector_contains')
     D   vector                        *   const
     D   value                         *   const
     D   valueLength                 10U 0 const
      *
     D vector_indexOf...
     D                 PR            10I 0 extproc('vector_indexOf')
     D   vector                        *   const
     D   value                         *   const
     D   valueLength                 10U 0 const
      *
     D vector_lastIndexOf...
     D                 PR            10I 0 extproc('vector_lastIndexOf')
     D   vector                        *   const
     D   valuePtr                      *   const
     D   valueLength                 10U 0 const
      *
     D vector_frequency...
     D                 PR            10U 0 extproc('vector_frequency')
     D   vector                        *   const
     D   value                         *   const
     D   valueLength                 10U 0 const
      *
     D vector_replace...
     D                 PR                  extproc('vector_replace')
     D   vector                        *   const
     D   index                       10U 0 const
     D   value                         *   const
     D   valueLength                 10U 0 const
      *
     D vector_copy...
     D                 PR              *   extproc('vector_copy')
     D   vector                        *   const
      *
     D vector_sublist...
     D                 PR              *   extproc('vector_sublist')
     D   vector                        *   const
     D   startIndex                  10U 0 const
     D   length                      10U 0 const options(*nopass)
      *
     D vector_swap...
     D                 PR                  extproc('vector_swap')
     D   vector                        *   const
     D   itemPos1                    10U 0 const
     D   itemPos2                    10U 0 const
      *
     D vector_addAll...
     D                 PR                  extproc('vector_addAll')
     D   destVector                    *   const
     D   sourceVector...
     D                                 *   const
      *
     D vector_addInteger...
     D                 PR                  extproc('vector_addInteger')
     D   vector                        *   const
     D   value                       10I 0 const
     D   index                       10U 0 const options(*nopass)
      *
     D vector_addShort...
     D                 PR                  extproc('vector_addShort')
     D   vector                        *   const
     D   value                        5I 0 const
     D   index                       10U 0 const options(*nopass)
      *
     D vector_addLong...
     D                 PR                  extproc('vector_addLong')
     D   vector                        *   const
     D   value                       20I 0 const
     D   index                       10U 0 const options(*nopass)
      *
     D vector_addDecimal...
     D                 PR                  extproc('vector_addDecimal')
     D   vector                        *   const
     D   value                       15P 5 const
     D   index                       10U 0 const options(*nopass)
      *
     D vector_addFloat...
     D                 PR                  extproc('vector_addFloat')
     D   vector                        *   const
     D   value                        4F   const
     D   index                       10U 0 const options(*nopass)
      *
     D vector_addDouble...
     D                 PR                  extproc('vector_addDouble')
     D   vector                        *   const
     D   value                        8F   const
     D   index                       10U 0 const options(*nopass)
      *
     D vector_addDate...
     D                 PR                  extproc('vector_addDate')
     D   vector                        *   const
     D   value                         D   const
     D   index                       10U 0 const options(*nopass)
      *
     D vector_addBoolean...
     D                 PR                  extproc('vector_addBoolean')
     D   vector                        *   const
     D   value                         N   const
     D   index                       10U 0 const options(*nopass)
      *
     D vector_addString...
     D                 PR                  extproc('vector_addString') opdesc
     D   vector                        *   const
     D   value                    65535A   const options(*varsize)
     D   index                       10U 0 const options(*nopass)
      *
     D vector_getInteger...
     D                 PR            10I 0 extproc('vector_getInteger')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getShort...
     D                 PR             5I 0 extproc('vector_getShort')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getLong...
     D                 PR            20I 0 extproc('vector_getLong')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getDecimal...
     D                 PR            15P 5 extproc('vector_getDecimal')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getFloat...
     D                 PR             4F   extproc('vector_getFloat')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getDouble...
     D                 PR             8F   extproc('vector_getDouble')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getDate...
     D                 PR              D   extproc('vector_getDate')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getBoolean...
     D                 PR              N   extproc('vector_getBoolean')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_getString...
     D                 PR         65535A   extproc('vector_getString')
     D   vector                        *   const
     D   index                       10U 0 const
      *
     D vector_foreach...
     D                 PR                  extproc('vector_foreach')
     D   vector                        *   const
     D   procPtr                       *   const procptr
     D   userData                      *   const
      *
     D vector_toCharArray...
     D                 PR                  extproc('vector_toCharArray')
     D   vector                        *   const
     D   arrayPtr                      *   const
     D   count                       10U 0 const
     D   length                      10U 0 const
      *
     D vector_reverse...
     D                 PR                  extproc('vector_reverse')
     D   vector                        *   const
      *
     D vector_split    PR              *   extproc('vector_split') opdesc
     D   string                   65535A   const options(*varsize)
     D   separator                    1A   const options(*nopass)
      *
     D vector_toString...
     D                 PR         65535A   varying extproc('vector_toString')
     D   vector                        *   const
     D   separator                    1A   const options(*omit : *nopass)
     D   enclosing                  100A   const varying options(*nopass)
     D   enclosingEnd               100A   const varying options(*nopass)
